package com.clx.performance.param.pc;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
public class ArtificialCancelOrderQueryParam {

    @ApiModelProperty("运单编号")
    private String orderChildNo;

    @ApiModelProperty("车牌号")
    private String truckNo;

    public void checkParam() {
        if (orderChildNo == null && truckNo == null) {
            throw new IllegalArgumentException("运单编号和车牌号不能同时为空");
        }
    }
}
